<?php
	session_start();

	include('conexion.php');
	include 'mysql_Agregar_auditoria.php';
	require('./fpdf/fpdf.php');

	ini_set('max_execution_time', '300');
	set_time_limit(300);

	$cliente = $_SESSION['id_cliente'];
	$pagado = $_GET['Pagado'];
	$Npagado = $_GET['NoPagado'];
	$Ppagado = $_GET['ParcialmentePagado'];
	$cancelado = $_GET['Cancelado'];

	$cadena = "";

	if ($pagado == 1)
	{
		$cadena .= "1,"; 	
	}

	if ($Npagado == 1)
	{
		$cadena .= "0,"; 		
	}

	if ($Ppagado == 1)
	{
		$cadena .= "2,"; 		
	}

	if ($cancelado == 1)
	{
		$cadena .= "3,"; 		
	}

	if ($cadena != "")
	{
		$cadena = substr($cadena, 0,strlen($cadena)-1);
	}
	
	$sql = "SELECT ";
	$sql .= "id_cliente, ";
	$sql .= "razon_social, ";
	$sql .= "nombre_comercial ";
	$sql .= "FROM ";
	$sql .= "clientes ";
	$sql .= "WHERE ";
	$sql .= "id_cliente = " . $cliente;
	
	$resultado = $conexion->query($sql); 
								
	if (!$resultado) 
	{
		die("Error: no se pudo realizar la consulta cliente");
	}
		
	while ($fila = $resultado->fetch_assoc()) 
	{
		$_SESSION['id_cliente'] = $fila['id_cliente'];
		$_SESSION['razon_cliente'] = $fila['razon_social'];
		$_SESSION['nombre_cliente'] = $fila['nombre_comercial'];
	}

	$resultado->free();

	class PDF extends FPDF
	{
		function Header()
		{
			$this->SetFont('Arial','B',14);
			$this->Cell(145,10,'Reporte Adeudos de Cobro');
			$this->SetFont('Arial','',10);
			date_default_timezone_set('America/Mazatlan');
			$time = time();	
			$this->Cell(50,10,'Fecha: ' . date("Y/m/d  H:i:s", $time) );
			$this->Ln();
			$this->SetFont('Arial','',10);
			$this->Cell(25,5,"Cliente");
			$this->Cell(50,5,$_SESSION['id_cliente']);
			$this->Ln();
			$this->Cell(25,5,"Razon Social");
			$this->Cell(50,5,$_SESSION['razon_cliente']);
			$this->Ln();
			$this->Cell(17,10,"Id",'B',0,'L');
			$this->Cell(10,10,"Serie",'B',0,'L');
			$this->Cell(19,10,"Folio",'B',0,'R');
			$this->Cell(15,10,"F. Creacion",'B',0,'L');
			$this->Cell(26,10,"Cargo",'B',0,'R');
			$this->Cell(26,10,"Abono",'B',0,'R');
			$this->Cell(26,10,"Saldo",'B',0,'R');
			$this->Cell(26,10,"Vencimiento",'B',0,'L');	
			$this->Cell(26,10,"Estado",'B',0,'L');		
		}
	}
	
	$pdf = new PDF();
	$pdf->AliasNbPages();
	$pdf->SetTitle('Reporte adeudos cliente');
	$pdf->AddPage();

	$total_Cargo = 0;
	$total_Abono = 0;
	$total_Saldo = 0;

	$sql = "select ";
	$sql .= "id_adeudo, ";
	$sql .= "serie, ";
	$sql .= "folio, ";
	$sql .= "fecha_creacion, ";
	$sql .= "cargo, ";
	$sql .= "abono, ";
	$sql .= "saldo, ";
	$sql .= "vencimiento, ";
	$sql .= "estatus, ";
	$sql .= "id_entidad, ";
	$sql .= "tipo_entidad ";
	$sql .= "from ";
	$sql .= "adeudos_cobro ";
	$sql .= "where ";
	$sql .= "id_entidad = " .$_SESSION['id_cliente']. " ";

	if ($cadena != "")
	{
		$sql .= "and estatus in (".$cadena.") ";
	}

	$resultado2 = $conexion->query($sql);
						
	if (!$resultado2) 
	{
		die("Error: no se pudo realizar la consulta datos");
	}
	
	while ($row = $resultado2->fetch_assoc()) 
	{			
		$estado = "";
		$pdf->SetFont('Arial','',8);
		$cargoMuestra = number_format($row['cargo'], 2, '.', ',');
		$abonoMuestra = number_format($row['abono'], 2, '.', ',');
		$saldoMuestra = number_format($row['saldo'], 2, '.', '');	
			
		$date = date_create($row['fecha_creacion']);
		$fechaMuestra =  date_format($date, 'Y-m-d');
		$date = date_create($row['vencimiento']);
		$fechaVMuestra =  date_format($date, 'Y-m-d');
		
		if (($saldoMuestra *-1) == 0)
		{
			$estado = "Pagado";
		}		
		else
		{
			$estado = "No pagado";
		}
							
		if ($row['estatus'] == 3)
		{
			$estado = "Cancelado";
		}

		$pdf->SetFont('Arial','',8);
		$pdf->ln();
		$pdf->Cell(17,2,$row['id_adeudo'] ,0,0,'L');
		$pdf->Cell(10,2, $row['serie'],0,0,'L');
		$pdf->Cell(19,2, $row['folio'],0,0,'R');
		$pdf->Cell(15,2, $fechaMuestra,0,0,'L');
		$pdf->Cell(26,2, $cargoMuestra,0,0,'R');
		$pdf->Cell(26,2, $abonoMuestra,0,0,'R');
		$pdf->Cell(26,2, $saldoMuestra,0,0,'R');
		$pdf->Cell(26,2, $fechaVMuestra,0,0,'L');
		$pdf->Cell(26,2, $estado,0,0,'L');
		$pdf->ln();

		$cargoTotal = $cargoTotal + $row['cargo'];
		$abonoTotal = $abonoTotal + $row['abono'];
		$saldoTotal = $saldoTotal + $row['saldo'];	
	}

	$resultado2->free(); 	

	$pdf->SetFont('Arial','',9);
	$pdf->ln();
	$pdf->SetX(50);
	$pdf->Cell(10,10, 'Totales');
	$pdf->SetFont('Arial','U',8);
	$cargoTotal_Muestra = number_format($cargoTotal, 2, '.', ',');
	$abonoTotal_Muestra = number_format($abonoTotal, 2, '.', ',');
	$saldoTotal_Muestra = number_format($saldoTotal, 2, '.', ',');			
	$pdf->Cell(35,10, '$'. $cargoTotal_Muestra,0,0,'R');
	$pdf->Cell(28,10, '$'. $abonoTotal_Muestra,0,0,'R');
	$pdf->Cell(25,10, '$'. $saldoTotal_Muestra,0,0,'R');	
	$pdf->ln();		

	$total_Cargo = $total_Cargo + $cargoTotal;
	$total_Abono = $total_Abono + $abonoTotal;
	$total_Saldo = $total_Saldo + $saldoTotal;

	$pdf->Output();

	$informacion = 'Genero Reporte Adeudos de Cobro formato PDF ';
	$datos = "Con filtros: ";
	if ($pagado == 1)
	{
		$datos=$datos." Pagados=".$pagado;	
	}

	if ($Npagado == 1)
	{
		$datos=$datos." No pagados=".$Npagado;			
	}

	if ($Ppagado == 1)
	{
		$datos=$datos." Parcialmente pagados=".$Ppagado;		
	}

	if ($cancelado == 1)
	{
		$datos=$datos." Cancelados=".$cancelado;		
	}	
	insertAuditoria($informacion,$datos,$_SESSION['id_usuario'],$_SESSION['direccion_ip'],$_SESSION['direccion_mac']);	
	
	mysqli_close($conexion);
?>